{smcl}
{* *! version 1.1.1  07feb2024}{...}
{viewerdialog "差分の差分推定" "dialog didregress"}{...}
{viewerdialog "差分の差分推定（パネルデータ）" "dialog xtdidregress"}{...}
{vieweralsosee "[CAUSAL] didregress" "mansection CAUSAL didregress"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[CAUSAL] didregress postestimation" "help didregress postestimation"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[CAUSAL] DID intro" "mansection CAUSAL DIDintro"}{...}
{vieweralsosee "[CAUSAL] hdidregress" "help hdidregress"}{...}
{vieweralsosee "[CAUSAL] teffects intro" "mansection CAUSAL teffectsintro"}{...}
{vieweralsosee "[CAUSAL] teffects intro advanced" "mansection CAUSAL teffectsintroadvanced"}{...}
{vieweralsosee "[CAUSAL] xthdidregress" "help xthdidregress"}{...}
{viewerjumpto "コマンドの記述法" "jp_didregress##syntax"}{...}
{viewerjumpto "メニュー" "jp_didregress##menu"}{...}
{viewerjumpto "説明" "jp_didregress##description"}{...}
{viewerjumpto "例題" "jp_didregress##examples"}{...}
{viewerjumpto "保存される結果" "jp_didregress##results"}{...}
{viewerjumpto "参考文献" "jp_didregress##references"}{...}
{viewerjumpto "お問合せ" "jp_didregress##author"}{...}
{p2colset 1 24 26 2}{...}
{p2col:{bf:[CAUSAL] didregress} {hline 2}}差分の差分推定{p_end}
{p2colreset}{...}


{marker syntax}{...}
{bf:コマンドの記述法}

{pstd}
繰り返しのあるクロスセクションデータに対する差分の差分推定

{p 8 16 2}
{cmd:didregress} {cmd:(}{help jp_varlist:{it:ovar}}
                         {help jp_varlist:{it:omvarlist}}{cmd:)}
{cmd:(}{help jp_varlist:{it:tvar}}[{cmd:, continuous}]{cmd:)}
[{it:{help jp_if:if}}] [{it:{help jp_in:in}}]
[{help jp_didregress##weight:{it:weight}}]{cmd:,}
{opth g:roup(jp_varlist:groupvars)}
[{opth t:ime(jp_varlist:timevar)}
{it:options}]


{pstd}
パネルデータに対する差分の差分推定

{p 8 16 2}
{cmd:xtdidregress} {cmd:(}{help jp_varlist:{it:ovar}}
                           {help jp_varlist:{it:omvarlist}}{cmd:)}
{cmd:(}{help jp_varlist:{it:tvar}}[{cmd:, continuous}]{cmd:)}
[{it:{help jp_if:if}}] [{it:{help jp_in:in}}]
[{help jp_didregress##weight:{it:weight}}]{cmd:,}
{opth g:roup(jp_varlist:groupvars)}
[{opth t:ime(jp_varlist:timevar)}
{it:options}]

{p 4 6 2}
{it:ovar} は関心のあるアウトカム変数です. {p_end}
{p 4 6 2}
{it:omvarlist} には, アウトカムモデルにおける共変量を指定します. 
因子変数を含めることができます. {p_end}
{p 4 6 2}
{it:tvar} は, 処理の対象となる観測値を示す二値変数, または処理の程度を示す連続変数である必要があります. {p_end}
{p 4 6 2}
{it:groupvars} は, 処理が行われるグループを示すカテゴリ変数です.  
少なくとも 1 つのグループ変数を指定する必要があります.  
{it:timevar} が指定されている場合, 最大 2 つのグループ変数を指定できます.  
{it:timevar} が指定されていない場合, 最大 3 つのグループ変数を指定できます.  
{p_end}
{p 4 6 2}
{it:timevar} は時間変数です. {it:groupvar} に変数が 1 つしかない場合は, これを指定する必要があります. 

{marker option_table}{...}
{synoptset 28 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:モデル}
{p2coldent :* {opth g:roup(jp_varlist:groupvars)}}グループ変数を指定する. {p_end}
{p2coldent :# {opth t:ime(jp_varlist:timevar)}}時間変数を指定する. {p_end}
{synopt :{opt nointer:act}}{cmd:group()} と {cmd:time()} の相互作用を除外する. {p_end}
{synopt :{opt nogteffects}}モデルにグループと時間の効果を含めない. {p_end}
{synopt :{opth aggreg:ate(jp_didregress##aggmethod:aggmethod)}}相互作用するグループ変数と時間変数によって定義されたレベルに集計する. {p_end}
{synopt :{cmdab:wildboot:strap}[{cmd:(}{help jp_didregress##wildopts:{it:wildopts}}{cmd:)}]}ワイルドブートストラップで信頼水準と {it:p}-値を算出する. {p_end}

{syntab:標準誤差}
{synopt :{opth vce:(didregress##vcetype:vcetype)}}{it:vcetype} は次のいずれか. 
	{opt cl:uster} {it:clustvar}, 
        {opt r:obust}, 
	{opt hc2}, {opt boot:strap}

{syntab:レポート}
{synopt :{opt l:evel(#)}}信頼水準を設定する. 初期値は, {cmd:level(95)}{p_end}
{synopt :{opt aeq:uations}}補助方程式の結果を表示する. {p_end}
{synopt :{it:{help didregress##display_options:display_options}}}表示形式に関するオプション. {p_end}
{synopt :{opt coefl:egend}}統計量の代わりに凡例を表示する. {p_end}
{synoptline}
{p 4 6 2}
* {opt group(groupvars)} は指定する必要があります. {p_end}
{p 4 6 2}
# {opt time(timevar)} は 1 つのグループのみの場合, 指定する必要があります. {p_end}
{p 4 6 2}
{cmd:xtdidregress} では {cmd:xtset} でパネル変数を指定する必要があります. {p_end}
{p 4 6 2}
{opt by}, {opt collect}, {opt statsby} プレフィクスが使用できます. {p_end}
{marker weight}{...}
{p 4 6 2}
{it:weight} には, {cmd:fweight}, {cmd:aweight}, {cmd:pweight} を使用できます. {p_end}
{p 4 6 2}
{cmd:coeflegend} はダイアログでは指定できません. {p_end}
{p 4 6 2}
{manhelp didregress_postestimation CAUSAL:didregress postestimation} にて, 推定後に実行できる機能を確認できます. {p_end}

{marker aggmethod}{...}
{synoptset 28}{...}
{synopthdr:aggmethod}
{synoptline}
{synopt :{cmd:standard}}データ集約とモデル適合{p_end}
{synopt :{cmd:dlang}[{cmd:,} {help didregress##dlopt:{it:dlopt}}]}Donald とLang の手法{p_end}
{synoptline}

{marker wildopts}{...}
{synopthdr:wildopts}
{synoptline}
{synopt :{opth errorweight:(didregress##edtype:edtype)}}誤差重みタイプ {it:edtype} を指定する. 初期値は, {cmd:errorweight(rademacher)}{p_end}
{synopt :{opt reps(#)}}ワイルドブートストラップの複製を {it:#} 回実行する. 初期値は, {cmd:reps(1000)}{p_end}
{synopt :{opt rseed(#)}}乱数の種を {it:#} に設定する. {p_end}
{synopt :{opt blocksize(#)}}複製のブロックサイズ {it:#} でワイルドブートストラップを実行する. {p_end}
{synoptline}


{marker menu}{...}
{bf:メニュー}

{pstd}
{bf:didregress}

{phang2}
{bf:[統計(S)] > [因果推論・処置効果] > [アウトカム(連続)] > [差分の差分 (DID)] > [DID]}

{pstd}
{bf:xtdidregress}

{phang2}
{bf:[統計(S)] > [因果推論・処置効果] > [アウトカム(連続)] > [差分の差分 (DID)] > [パネルデータDID (FE)]}


{marker description}{...}
{bf:説明}

{pstd}
{cmd:didregress} は, 差分の差分 (DID) または差分の差分の差分 (DDD) によって, 
観測データから処置対象に対する平均処置効果 (ATET) を推定します. 
連続値のアウトカムに対する二値または連続値の処置の ATET は, 時間とグループ固定効果を持つ線形モデルを当てはめることによって推定されます. 
{cmd:didregress} によって実行される DID および DDD 推定は, 
各期間で異なる個人グループが観測される繰り返しクロスセクションデータに適用できます. 

{pstd}
{opt xtdidregress} は, パネルデータに対して差分の差分 (DID) または差分の差分の差分 (DDD) によって, 観測データから ATET を推定します. 
連続値のアウトカムに対する二値または連続値の処置の ATET は, 時間とパネル固定効果を持つ線形モデルを当てはめることによって推定されます. 


{marker examples}{...}
{bf:例題}

{phang}クリックするとコマンドが実行されます. {p_end}

    {hline}
{pstd}サンプルデータの読込み{p_end}
{phang2}
{cmd:. }{stata webuse hospdd}

{pstd}新しい入院手続きが, その手続きの対象となる患者の満足度に与える平均処置効果を推定{p_end}
{phang2}
{cmd:. }{stata didregress (satis) (procedure), group(hospital) time(month)}

{pstd}Bell と McCaffrey の自由度調整によるバイアス補正クラスターロバスト標準を使用して, 
以前のモデルの推定値の標準誤差を推定{p_end}
{phang2}
{cmd:. }{stata didregress (satis) (procedure), group(hospital) time(month) vce(hc2)}

{pstd}{cmd:wildbootstrap()} オプションを使用して信頼区間と {it:p}-値を取得{p_end}
{phang2}
{cmd:. }{stata didregress (satis) (procedure), group(hospital) time(month) wildbootstrap(rseed(111))}

    {hline}
{pstd}サンプルデータの読込みとパネルデータ宣言{p_end}
{phang2}{cmd:. }{stata webuse hospdd}{p_end}
{phang2}{cmd:. }{stata xtset hospital}

{pstd}
新しい入院手続きが, その手続きの対象となる患者の満足度に与える平均処置効果を推定{p_end}
{phang2}
{cmd:. }{stata xtdidregress (satis) (procedure), group(hospital) time(month)}

{pstd}Bell と McCaffrey の自由度調整によるバイアス補正クラスターロバスト標準を使用して, 
以前のモデルの推定値の標準誤差を推定{p_end}
{phang2}
{cmd:. }{stata xtdidregress (satis) (procedure), group(hospital) time(month) vce(hc2)}

{pstd}{cmd:wildbootstrap()} オプションを使用して信頼区間と {it:p}-値を取得{p_end}
{phang2}
{cmd:. }{stata xtdidregress (satis) (procedure), group(hospital) time(month) wildbootstrap(rseed(111))}

    {hline}


{marker results}{...}
{bf:保存される結果}

{pstd}
{cmd:didregress} を実行すると下記の {cmd:e()} がメモリ上に保存されます. :

{synoptset 23 tabbed}{...}
{p2col 5 23 26 2: Scalars}{p_end}
{synopt :{cmd:e(N)}}観測数{p_end}
{synopt :{cmd:e(N_clust)}}クラスター数{p_end}
{synopt :{cmd:e(tmin)}}グループ間で最初に観察された処置時間の最小値{p_end}
{synopt :{cmd:e(tmax)}}グループ間で最初に観察された処置時間の最大値{p_end}
{synopt :{cmd:e(N_reps)}}ブートストラップの複製数{p_end}
{synopt :{cmd:e(df_r)}}残差の自由度{p_end}
{synopt :{cmd:e(blocksize)}}ワイルドブートストラップ計算で使用されるブロックサイズ{p_end}

{p2col 5 23 26 2: Macros}{p_end}
{synopt :{cmd:e(cmd)}}{cmd:didregress}{p_end}
{synopt :{cmd:e(cmdline)}}実行されたコマンド{p_end}
{synopt :{cmd:e(depvar)}}アウトカム変数名{p_end}
{synopt :{cmd:e(treatment)}}処置された観測行を示すインディケータ{p_end}
{synopt :{cmd:e(treatment_type)}}{cmd:binary} または {cmd:continuous}{p_end}
{synopt :{cmd:e(wtype)}}重みタイプ{p_end}
{synopt :{cmd:e(wexp)}}重み表現{p_end}
{synopt :{cmd:e(wb_weight)}}ワイルドブートストラップ誤差重み{p_end}
{synopt :{cmd:e(datatype)}}データタイプ{p_end}
{synopt :{cmd:e(groupvars)}}グループ変数{p_end}
{synopt :{cmd:e(clustvar)}}クラスター変数名{p_end}
{synopt :{cmd:e(timevar)}}時間変数{p_end}
{synopt :{cmd:e(vce)}}{cmd:vce()} で指定した {it:vcetype} {p_end}
{synopt :{cmd:e(vcetype)}}標準誤差のタイトル{p_end}
{synopt :{cmd:e(properties)}}{cmd:b V}{p_end}
{synopt :{cmd:e(estat_cmd)}}{cmd:estat} の実装に使用されるプログラム{p_end}
{synopt :{cmd:e(predict)}}{cmd:predict} の実装に使用されるプログラム{p_end}
{synopt :{cmd:e(marginsnotok)}}{cmd:margins} によって許容されない予測{p_end}
{synopt :{cmd:e(_contrast_not_ok)}}{cmd:contrast} によって許容されない予測{p_end}

{p2col 5 23 26 2: Matrices}{p_end}
{synopt :{cmd:e(b)}}係数ベクトル{p_end}
{synopt :{cmd:e(V)}}推定量の分散共分散行列{p_end}
{synopt :{cmd:e(group_count)}}グループ数と処置時間の行列{p_end}
{synopt :{cmd:e(fwboot)}}ワイルドブートストラップ推定量{p_end}
{synopt :{cmd:e(wboot)}}ワイルドブートストラップ統計量と制約{p_end}
{synopt :{cmd:e(aggmethod)}}集約手法{p_end}

{p2col 5 23 26 2: Functions}{p_end}
{synopt :{cmd:e(sample)}}推定に使用したサンプル{p_end}
{p2colreset}{...}

INCLUDE help jp_rtable


{pstd}
{cmd:xtdidregress} を実行すると下記の {cmd:e()} がメモリ上に保存されます. :

{synoptset 23 tabbed}{...}
{p2col 5 23 26 2: Scalars}{p_end}
{synopt :{cmd:e(N)}}観測数{p_end}
{synopt :{cmd:e(N_clust)}}クラスター数{p_end}
{synopt :{cmd:e(tmin)}}グループ間で最初に観察された処置時間の最小値{p_end}
{synopt :{cmd:e(tmax)}}グループ間で最初に観察された処置時間の最大値{p_end}
{synopt :{cmd:e(N_reps)}}ブートストラップの複製数{p_end}
{synopt :{cmd:e(df_r)}} 残差の自由度{p_end}
{synopt :{cmd:e(blocksize)}}ワイルドブートストラップ計算で使用されるブロックサイズ{p_end}

{p2col 5 23 26 2: Macros}{p_end}
{synopt :{cmd:e(cmd)}}{cmd:xtdidregress}{p_end}
{synopt :{cmd:e(cmdline)}}実行されたコマンド{p_end}
{synopt :{cmd:e(depvar)}}アウトカム変数名{p_end}
{synopt :{cmd:e(treatment)}}処置された観測行を示すインディケータ{p_end}
{synopt :{cmd:e(treatment_type)}}{cmd:binary} または {cmd:continuous}{p_end}
{synopt :{cmd:e(wtype)}}重みタイプ{p_end}
{synopt :{cmd:e(wexp)}}重み表現{p_end}
{synopt :{cmd:e(wb_weight)}}ワイルドブートストラップ誤差重み{p_end}
{synopt :{cmd:e(datatype)}}データタイプ{p_end}
{synopt :{cmd:e(groupvars)}}グループ変数{p_end}
{synopt :{cmd:e(clustvar)}}クラスター変数名{p_end}
{synopt :{cmd:e(panelvar)}}パネル変数{p_end}
{synopt :{cmd:e(timevar)}}時間変数{p_end}
{synopt :{cmd:e(vce)}}{cmd:vce()} で指定した {it:vcetype}{p_end}
{synopt :{cmd:e(vcetype)}}標準誤差のタイトル{p_end}
{synopt :{cmd:e(properties)}}{cmd:b V}{p_end}
{synopt :{cmd:e(estat_cmd)}}{cmd:estat} の実装に使用されるプログラム{p_end}
{synopt :{cmd:e(predict)}}{cmd:predict} の実装に使用されるプログラム{p_end}
{synopt :{cmd:e(marginsnotok)}}{cmd:margins} によって許容されない予測{p_end}
{synopt :{cmd:e(_contrast_not_ok)}}{cmd:contrast} によって許容されない予測{p_end}

{p2col 5 23 26 2: Matrices}{p_end}
{synopt :{cmd:e(b)}}係数ベクトル{p_end}
{synopt :{cmd:e(V)}}推定量の分散共分散行列{p_end}
{synopt :{cmd:e(group_count)}}グループ数と処置時間の行列{p_end}
{synopt :{cmd:e(fwboot)}}ワイルドブートストラップ推定量{p_end}
{synopt :{cmd:e(wboot)}}ワイルドブートストラップ統計量と制約{p_end}
{synopt :{cmd:e(aggmethod)}}集約手法{p_end}

{p2col 5 23 26 2: Functions}{p_end}
{synopt :{cmd:e(sample)}}推定に使用したサンプル{p_end}
{p2colreset}{...}

INCLUDE help jp_rtable


{marker references}{...}
{bf:参考文献}

{marker bellmccaffrey2002}{...}
{phang}
Bell, R. M., and D. F. McCaffrey. 2002. Bias reduction in standard errors
for linear regression with multi-stage
samples. {it:Survey Methodology} 28: 169-181.

{marker donaldlang2007}{...}
{phang}
Donald, S. G., and K. Lang. 2007. Inference with difference-in-differences and
other panel data. {it:Review of Economics and Statistics} 89: 221-233.
{browse "https://doi.org/10.1162/rest.89.2.221"}.
{p_end}

INCLUDE help jp_author
