{smcl}
{* *! version 1.3.17  17mar2021}{...}
{viewerdialog "因子分析" "dialog factor"}{...}
{viewerdialog "相関行列の因子分析" "dialog factormat"}{...}
{vieweralsosee "[MV] factor" "mansection MV factor"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[MV] factor postestimation" "help factor_postestimation"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[MV] alpha" "help alpha"}{...}
{vieweralsosee "[MV] canon" "help canon"}{...}
{vieweralsosee "[MV] pca" "help pca"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[SEM] Intro 5" "mansection SEM Intro5"}{...}
{findalias assemsfmm}{...}
{findalias assemtfmm}{...}
{viewerjumpto "コマンドの記述法" "jp_factor##syntax"}{...}
{viewerjumpto "メニュー" "jp_factor##menu"}{...}
{viewerjumpto "説明" "jp_factor##description"}{...}
{viewerjumpto "factor の例題" "jp_factor##examples_factor"}{...}
{viewerjumpto "factormat の例題" "jp_factor##examples_factormat"}{...}
{viewerjumpto "保存される結果" "jp_factor##results"}{...}
{viewerjumpto "参考文献" "jp_factor##reference"}{...}
{viewerjumpto "お問合せ" "jp_factor##author"}{...}
{p2colset 1 16 18 2}{...}
{p2col:{bf:[MV] factor} {hline 2}}因子分析{p_end}
{p2colreset}{...}


{marker syntax}{...}
{bf:コマンドの記述法}

{pstd}
因子分析

{p 8 15 2}
{cmdab:fac:tor} {it:{help jp_varlist:varlist}} [{it:{help jp_if:if}}] [{it:{help jp_in:in}}] 
[{it:{help jp_factor##weight:weight}}]
[{cmd:,} {it:{help jp_factor##method:method}}
{it:{help jp_factor##options_table:options}}]


{pstd}
相関行列の因子分析

{p 8 18 2}
{cmd:factormat} {it:matname}{cmd:,} {opt n(#)}
[ {it:{help jp_factor##method:method}}
{it:{help jp_factor##options_table:options}}
{it:{help jp_factor##matoptions:factormat_options}}]


{phang}
{it:matname} は相関行列または共分散行列であり, 正方行列として指定するか, 
左下三角または右上三角の成分をベクトルとして指定します. 
共分散行列を指定した場合, 相関行列に変形して因子分析を実行します. 

{synoptset 20 tabbed}{...}
{marker method}{...}
{synopthdr:method}
{synoptline}
{syntab:モデル 2}
{synopt:{opt pf}}主因子. 初期値{p_end}
{synopt:{opt pcf}}主成分因子{p_end}
{synopt:{opt ip:f}}反復主因子{p_end}
{synopt:{opt ml}}最大尤度因子{p_end}
{synoptline}

{marker options_table}{...}
{synopthdr}
{synoptline}
{syntab:モデル 2}
{synopt:{opt fa:ctors(#)}}保持する最大の因子数{p_end}
{synopt:{opt mine:igen(#)}}保持する固有値の下限{p_end}
{synopt:{opt cit:erate(#)}}共通性の反復的な再推定
	({cmd:ipf} 指定時のみ){p_end}

{syntab:レポート}
{synopt:{opt bl:anks(#)}}因子負荷量の絶対値が {it:#} より小さい場合, 空白を表示する. {p_end}
{synopt:{opt altdiv:isor}}相関行列のトレースを報告された割合の除数として使用する. {p_end}

{syntab:最適化}
{synopt:{opt pr:otect(#)}}perform {it:#} 回の最適化を実行し, 最良の解を表示する.  ({cmd:ml} 指定時のみ){p_end}
{synopt:{opt r:andom}}初期値に乱数を使用する. ({cmd:ml} 指定時のみ){p_end}
{synopt:{opth "seed(set_seed:seed)"}}乱数の種.  ({cmd:ml} の指定時で, 
	{opt protect()} または {opt random} 指定時のみ){p_end}
{synopt:{it:{help factor##maximize:maximize_options}}}最適化の処理を制御する.  ({cmd:ml} 指定時のみ){p_end}

{synopt:{opt norot:ated}}回転していない解を表示する. (リプレイ時のみ){p_end}
{synoptline}
{p 4 6 2}
{opt norotated} はダイアログでは表示されません. 
{p_end}

{marker matoptions}{...}
{synopthdr:factormat_options}
{synoptline}
{syntab:モデル}
{synopt:{cmdab:sh:ape(}{cmdab:f:ull}{cmd:)}}{it:matname} は, 正方行列である. 初期値{p_end}
{synopt:{cmdab:sh:ape(}{cmdab:l:ower}{cmd:)}}{it:matname} は, 対角成分を含む左下三角成分のベクトルである. {p_end}
{synopt:{cmdab:sh:ape(}{cmdab:u:pper}{cmd:)}}{it:matname} は, 対角成分を含む右上三角成分のベクトルである. {p_end}
{synopt:{opt nam:es(namelist)}}変数名. {it:matname} をベクトルで指定時に必須. {p_end}
{synopt:{opt forcepsd}}{it:matname} を半正定値に修正する. {p_end}
{p2coldent:* {opt n(#)}}観測数{p_end}
{synopt:{opt sds(matname2)}}変数の標準偏差ベクトル{p_end}
{synopt:{opt means(matname3)}}変数の平均ベクトル{p_end}
{synoptline}
{p2colreset}{...}
{p 4 6 2}
* {opt n(#)} の指定は必須です. 
{p_end}

{p 4 6 2}
{cmd:bootstrap}, {cmd:by}, {cmd:collect}, {cmd:jackknife}, {cmd:rolling}, 
{cmd:statsby} プレフィクスは, {cmd:factor} で使用できます. しかし, 
{cmd:bootstrap} と {cmd:jackknife} の結果は慎重に解釈する必要があります. 
因子パラメータの特定にはデータ依存の制約が伴い, 偏りや分散が大きすぎる推定値につながる可能性があります. 
({help jp_factor##MW1995:Milan and Whittaker 1995}).
{p_end}
{marker weight}{...}
{p 4 6 2}weight は, {helpb bootstrap} プレフィクス指定時は使用できません. {p_end}
{p 4 6 2}{cmd:aweight} は, {helpb jackknife} プレフィクス指定時は使用できません. {p_end}
{p 4 6 2}
{cmd:aweight} と {cmd:fweight} は, {cmd:factor} で使用できます.  
{p_end}
{p 4 6 2}
{manhelp factor_postestimation R:factor postestimation} にて推定後に実行できる機能を確認できます.{p_end}


{marker menu}{...}
{bf:メニュー}

    {title:factor}

{phang2}
{bf:[統計(S)] > [多変量解析] > [因子分析/主成分分析] > [因子分析]}

    {title:factormat}

{phang2}
{bf:[統計(S)] > [多変量解析] > [因子分析/主成分分析] > [相関行列での因子分析]}


{marker description}{...}
{bf:説明}

{pstd}
{cmd:factor} と {cmd:factormat} は因子分析を実行します. 
これらのコマンドは, 主因子, 反復主因子, 主成分因子, 最大尤度因子を生成します. 
{cmd:factor} と {cmd:factormat} は相関行列の固有値, 因子負荷, および変数の独自性を表示します. 

{pstd}
{cmd:factor} はデータセットをもとに分析し, 重みを指定でき, サブグループに対して実行できます. 
{cmd:factormat} は, 相関行列または共分散行列をもとに分析します. 

{marker examples_factor}{...}
{bf:factor の例題}

{phang}クリックするとコマンドが実行されます. {p_end}


{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:.  }{stata webuse bg2}{p_end}

{pstd}主因子分析{p_end}
{phang2}{cmd:.  }{stata factor bg2cost1-bg2cost6}

{pstd}主因子分析で2因子を保持{p_end}
{phang2}{cmd:.  }{stata factor bg2cost1-bg2cost6, factors(2)}

{pstd}主成分因子分析で2因子を保持{p_end}
{phang2}{cmd:.  }{stata factor bg2cost1-bg2cost6, factors(2) pcf}

{pstd}反復主因子分析で2因子を保持{p_end}
{phang2}{cmd:.  }{stata factor bg2cost1-bg2cost6, factors(2) ipf}

{pstd}最大尤度因子分析で2因子を保持{p_end}
{phang2}{cmd:.  }{stata factor bg2cost1-bg2cost6, factors(2) ml}


{marker examples_factormat}{...}
{bf:factormat の例題}

{phang}クリックするとコマンドが実行されます. {p_end}


{pstd}相関行列を入力します. 

	{cmd:. }{stata matrix C = ( 1.000, 0.943,  0.771  \ 0.943, 1.000,  0.605 \ 0.771, 0.605,  1.000 )}

{pstd}観測数を {cmd:n()} オプションで指定し, {cmd:factormat} を実行します. 

{phang2}
{cmd:.  }{stata factormat C, n(979) names(visual hearing taste) fac(1)}

{pstd}上記と同じ分析ですが, {cmd:C} をベクトルとして入力します. {p_end}

{phang2}
{cmd:.  }{stata matrix C = ( 1.000, 0.943, 0.771, 1.000, 0.605, 1.000)}

{pstd}保存形式の指定のため {cmd:shape(upper)} オプションを指定し, {cmd:factormat} を実行します. 

{phang2}
{cmd:.  }{stata factormat C, n(979) shape(upper) fac(1) names(visual hearing taste)}


{marker results}{...}
{bf:保存される結果}

{pstd}
{cmd:factor} と {cmd:factormat} を実行すると下記の {cmd:e()} がメモリ上に保存されます. :

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Scalars}{p_end}
{synopt:{cmd:e(N)}}観測数{p_end}
{synopt:{cmd:e(f)}}保持される因子数{p_end}
{synopt:{cmd:e(evsum)}}固有値の合計{p_end}
{synopt:{cmd:e(df_m)}}モデルの自由度{p_end}
{synopt:{cmd:e(df_r)}}残差の自由度{p_end}
{synopt:{cmd:e(chi2_i)}}"独立 vs. 飽和"の尤度比検定{p_end}
{synopt:{cmd:e(df_i)}}"独立 vs. 飽和"の検定の自由度{p_end}
{synopt:{cmd:e(p_i)}}"独立 vs. 飽和"の {it:p}-値{p_end}
{synopt:{cmd:e(ll_0)}}帰無モデルの対数尤度 ({cmd:ml} のみ){p_end}
{synopt:{cmd:e(ll)}}対数尤度 ({cmd:ml} のみ){p_end}
{synopt:{cmd:e(aic)}}Akaike の AIC ({cmd:ml} のみ){p_end}
{synopt:{cmd:e(bic)}}Schwarz の BIC ({cmd:ml} のみ){p_end}
{synopt:{cmd:e(chi2_1)}}"# 因子 vs. 飽和"の尤度比検定 ({cmd:ml} のみ){p_end}
{synopt:{cmd:e(df_1)}}"# 因子 vs. 飽和"の検定の自由度 ({cmd:ml} のみ){p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Macros}{p_end}
{synopt:{cmd:e(cmd)}}{cmd:factor}{p_end}
{synopt:{cmd:e(cmdline)}}実行されたコマンド{p_end}
{synopt:{cmd:e(method)}}{cmd:pf}, {cmd:pcf}, {cmd:ipf}, {cmd:ml}{p_end}
{synopt:{cmd:e(wtype)}}重みタイプ ({cmd:factor} のみ){p_end}
{synopt:{cmd:e(wexp)}}重み表現 ({cmd:factor} のみ){p_end}
{synopt:{cmd:e(title)}}{cmd:Factor analysis}{p_end}
{synopt:{cmd:e(mtitle)}}手法の概要 (例えば, {cmd:principal factors}){p_end}
{synopt:{cmd:e(heywood)}}{cmd:Heywood case} (不適切な結果){p_end}
{synopt:{cmd:e(matrixname)}}入力された行列 ({cmd:factormat} のみ){p_end}
{synopt:{cmd:e(mineigen)}}指定した {cmd:mineigen()} オプション{p_end}
{synopt:{cmd:e(factors)}}指定した {cmd:factors()} オプション{p_end}
{synopt:{cmd:e(rngstate)}}使用された乱数状態 ({cmd:seed()} オプションのみ){p_end}
{synopt:{cmd:e(properties)}}{cmd:nob noV eigen}{p_end}
{synopt:{cmd:e(rotate_cmd)}}{cmd:factor_rotate}{p_end}
{synopt:{cmd:e(estat_cmd)}}{cmd:factor_estat}{p_end}
{synopt:{cmd:e(predict)}}{cmd:factor_p}{p_end}
{synopt:{cmd:e(marginsnotok)}}{cmd:margins} によって許容されない予測{p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Matrices}{p_end}
{synopt:{cmd:e(sds)}}分析した変数の標準偏差{p_end}
{synopt:{cmd:e(means)}}分析した変数の平均{p_end}
{synopt:{cmd:e(C)}}分析した相関行列{p_end}
{synopt:{cmd:e(Phi)}}共通因子の分散共分散行列{p_end}
{synopt:{cmd:e(L)}}因子負荷量{p_end}
{synopt:{cmd:e(Psi)}}独自性 (特定の因子の分散){p_end}
{synopt:{cmd:e(Ev)}}固有値{p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Functions}{p_end}
{synopt:{cmd:e(sample)}}推定に使用したサンプル ({cmd:factor} のみ){p_end}
{p2colreset}{...}


{marker reference}{...}
{bf:参考文献}

{marker MW1995}{...}
{phang}
Milan, L., and J. Whittaker. 1995. Application of the parametric bootstrap
to models that incorporate a singular value decomposition.
{it:Applied Statistics} 44: 31-49.
{p_end}


{marker author}{...}
{bf:お問合せ}

{pstd}{browse "https://www.lightstone.co.jp/stata/index.html":株式会社ライトストーン}{break}
tech@lightstone.co.jp{break}　{p_end}
