{smcl}
{* *! version 1.0.1  27mar2023}{...}
{viewerdialog "因果媒介分析" "dialog mediate"}{...}
{vieweralsosee "[CAUSAL] mediate" "mansection CAUSAL mediate"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[CAUSAL] mediate postestimation" "help mediate postestimation"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[CAUSAL] teffects" "help teffects"}{...}
{vieweralsosee "[CAUSAL] teffects ra" "help teffects ra"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[SEM] sem" "help sem command"}{...}
{viewerjumpto "コマンドの記述法" "jp_mediate##syntax"}{...}
{viewerjumpto "メニュー" "jp_mediate##menu"}{...}
{viewerjumpto "説明" "jp_mediate##description"}{...}
{viewerjumpto "例題" "jp_mediate##examples"}{...}
{viewerjumpto "保存される結果" "jp_mediate##results"}{...}
{viewerjumpto "お問合せ" "jp_mediate##author"}{...}
{p2colset 1 21 23 2}{...}
{p2col:{bf:[CAUSAL] mediate} {hline 2}}因果媒介分析{p_end}
{p2colreset}{...}

{marker syntax}{...}
{bf:コマンドの記述法}

{p 8 16 2}
{cmd:mediate}
        {cmd:(}{help jp_varlist:{it:ovar}} 
	[{help jp_varlist:{it:omvarlist}}{cmd:,}
        {help jp_mediate##omodel:{it:omodel}}
	{opt nocons:tant}]{cmd:)}
	{cmd:(}{help jp_varlist:{it:mvar}} 
	[{help jp_varlist:{it:mmvarlist}}{cmd:,}
        {help jp_mediate##mmodel:{it:mmodel}}
	{opt nocons:tant}]{cmd:)}
	{cmd:(}{help jp_varlist:{it:tvar}}
	[{cmd:,} {opt cont:inuous(numlist)}]{cmd:)}
	[{it:{help jp_if:if}}] [{it:{help jp_in:in}}]
	[{help jp_mediate##weight:{it:weight}}]
	[{cmd:,}
	{help jp_mediate##stat:{it:stat}}
	{help jp_mediate##optstbl:{it:options}}]

{phang}
{it:ovar} はアウトカム変数であり, 連続値, 二値, カウント値のいずれかを指定できます. {p_end}
{phang}
{it:omvarlist} には, アウトカムモデルにおける共変量を指定してください. {p_end}
{phang}
{it:mvar} は媒介変数であり, 連続値, 二値, カウント値のいずれかを指定できます. {p_end}
{phang}
{it:mmvarlist} には, 媒介モデルにおける共変量を指定してください. {p_end}
{phang}
{it:tvar} は処置変数であり, 二値, 多値, 連続値のいずれかを指定してください. 

{marker omodel}{...}
{synoptset 25 tabbed}{...}
{synopthdr:omodel}
{synoptline}
{syntab:モデル}
{synopt :{opt linear}}線形モデル; 初期設定は線形モデルです. {p_end}
{synopt :{opt exp:mean}}指数平均モデル{p_end}
{synopt :{opt logit}}ロジスティック回帰モデル{p_end}
{synopt :{opt probit}}プロビット回帰モデル{p_end}
{synopt :{opt poisson}}ポアソンモデル{p_end}
{synoptline}
{p 4 6 2}
{it:omodel} は, アウトカム変数に対するモデルを指定します. 

{marker mmodel}{...}
{synopthdr:mmodel}
{synoptline}
{syntab:モデル}
{synopt :{opt linear}}線形モデル; 初期設定は線形モデルです. {p_end}
{synopt :{opt exp:mean}}指数平均モデル{p_end}
{synopt :{opt logit}}ロジスティック回帰モデル{p_end}
{synopt :{opt probit}}プロビット回帰モデル{p_end}
{synopt :{opt poisson}}ポアソンモデル{p_end}
{synoptline}
{p 4 6 2}
{it:mmodel} は, 媒介変数に対するモデルを指定します. {p_end}
{p 4 6 2}
アウトカムモデルで {cmd:logit} を指定した場合, 媒介モデルでは
 {cmd:linear} または {cmd:expmean} を指定できません. 
そのような場合は, {cmd:logit} ではなく {cmd:probit} をお使いください. 

{marker stat}{...}
{synopthdr:stat}
{synoptline}
{syntab:統計量}
      {it:Pearl の効果量ラベル}
{synopt :{opt nie}}自然な間接効果{p_end}
{synopt :{opt nde}}自然な直接効果{p_end}
{synopt :{opt te}}総合効果{p_end}
{synopt :{opt pnie}}純粋な自然間接効果{p_end}
{synopt :{opt tnde}}真の自然直接効果{p_end}

      {it:ATE ラベル}
{synopt :{opt aite}}平均間接処置効果. {cmd:nie} と等しい. {p_end}
{synopt :{opt adte}}平均直接処置効果. {cmd:nde} と等しい. {p_end}
{synopt :{opt ate}}総合平均処置効果. {cmd:te} と等しい. {p_end}
{synopt :{opt aitec}}対照群に対する平均間接処置効果.  {cmd:pnie} と等しい. {p_end}
{synopt :{opt adtet}}処置群に対する平均直接処置効果. {cmd:tnde} と等しい. {p_end}

{synopt :{opt pom:eans}}潜在的結果変数の平均{p_end}
{synopt :{opt all}}すべての効果量と潜在的結果変数の平均{p_end}
{synoptline}
{p 4 6 2}
初期設定では, {cmd:nie} {cmd:nde} {cmd:te} が表示されます. 

{marker optstbl}{...}
{synopthdr:options}
{synoptline}
{syntab:モデル}
{synopt :{opt nointer:action}}アウトカムモデルにおいて媒介変数と因子変数の交差項を除外する. {p_end}
{synopt :{opt con:trol(# | label)}}処置変数のレベルを指定する. {p_end}

{syntab:標準誤差}
{synopt :{opth vce:(vcetype)}}{it:vcetype} は次のいずれか.  {opt r:obust}, 
	{opt cl:uster} {it:クラスター変数}, 
	{opt boot:strap}, {opt jack:knife}{p_end}
{synopt :{opt nose}}標準誤差を推定しない. {p_end}

{syntab:レポート}
{synopt :{opt l:evel(#)}}信頼水準を設定する. 初期設定は, {cmd:level(95)}です. {p_end}
{synopt :{opt ateterms}}効果量ラベルに ATE 標記を使用する. {p_end}
{synopt :{opt aeq:uations}}補助方程式の結果を表示する. {p_end}
{synopt :{opt nolegend}}凡例を表示しない. {p_end}
{synopt :{it:{help mediate##display_options:display_options}}}表示形式に関するオプション. 

{syntab:最適化}
{synopt :{help mediate##optopts:{it:optimization_options}}}最適化の処理に関するオプション. {p_end}

{syntab:上級設定}
{synopt :{cmd:force}}処置群の数が10を超える場合でも強制的に推定する. {p_end}
{synopt :{opt coefl:egend}}統計量の代わりに凡例を表示する. {p_end}

{synoptline}
{p 4 6 2}
{it:omvarlist} と {it:mmvarlist} には因子変数を含めることができます. {p_end}
{p 4 6 2}
{cmd:bootstrap}, {cmd:by}, {cmd:collect}, {cmd:jackknife}, {cmd:statsby} プレフィクスを使用できます. {p_end}
{p 4 6 2}
{cmd:bootstrap} プレフィクス使用時は, weight を使用できません. {p_end}
{marker weight}{...}
{p 4 6 2}
{cmd:pweight}, {cmd:fweight}, {cmd:iweight} を使用できます. {p_end}
{p 4 6 2}
{cmd:coeflegend} はダイアログでは表示されません. {p_end}
{p 4 6 2}
{manhelp mediate_postestimation CAUSAL:mediate postestimation} にて, 推定後に実行できる機能を確認できます. 


{marker menu}{...}
{bf:メニュー}

{phang}
{bf:[統計(S)] > [因果推論・処置効果] > [アウトカム(連続)] > [因果媒介分析]}

{phang}
{bf:[統計(S)] > [因果推論・処置効果] > [アウトカム(二値)] > [因果媒介分析]}

{phang}
{bf:[統計(S)] > [因果推論・処置効果] > [アウトカム(カウント)] > [因果媒介分析]}

{phang}
{bf:[統計(S)] > [因果推論・処置効果] > [アウトカム(非負)] > [因果媒介分析]}


{marker description}{...}
{bf:説明}

{pstd}
{cmd:mediate} は因果媒介モデルに適合し, 処置が結果に与える影響を推定します. 
処置効果は, 直接的または, 別の変数 (媒介変数) を介して間接的に発生する可能性があります. 
結果変数（アウトカム変数）と媒介変数は, 連続値, 二値, カウント値のいずれかです. 
処置変数は, 二値, 多値, 連続値のいずれかです. 
推定された直接効果, 間接効果, 総合効果は, 因果媒介モデルに関する仮定が満たされている場合, 因果的に解釈されます. 


{marker examples}{...}
{bf:例題}

{phang}クリックするとコマンドが実行されます. {p_end}

{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse birthweight}

{pstd}結果変数と媒介変数に対して線形モデルを使用し, 自然な直接効果, 自然な間接効果, 総合効果を推定します. {p_end}
{phang2}{cmd:. }{stata mediate (bweight age) (ncigs sespar age) (college)}

{pstd}すべての効果量と潜在的結果変数の平均を推定します. {p_end}
{phang2}{cmd:. }{stata mediate (bweight age) (ncigs sespar age) (college), all}

{pstd}二値の結果変数に対してロジットモデル, カウント値の媒介変数に対してポアソンモデルを使用し, 自然な直接効果, 自然な間接効果, 総合効果を推定します. {p_end}
{phang2}{cmd:. }{stata mediate (lbweight age, logit) (ncigs sespar age, poisson) (college)}

{pstd}上記のモデルを再度推定し, 潜在的結果変数の平均と補助方程式の結果を表示します. {p_end}
{phang2}{cmd:. }{stata mediate (lbweight age, logit) (ncigs sespar age, poisson) (college), pomeans aequations}

{pstd}連続値の処置変数に対して8を基準として4と12の各処置レベルにおける処置効果を推定します. {p_end}
{phang2}{cmd:. }{stata mediate (lbweight age, logit) (ncigs age sespar, poisson) (ses, continuous(8 4 12))}

{pstd}上記と同じモデルでアウトカムモデルにおける処置変数と媒介変数の交差項を除いたモデルを推定します. {p_end}
{phang2}{cmd:. }{stata mediate (lbweight age, logit) (ncigs age sespar, poisson) (ses, continuous(8 4 12)), nointeraction}


{marker results}{...}
{bf:保存される結果}

{pstd}
{cmd:mediate} を実行すると下記の {cmd:e()} がメモリ上に保存されます. :

{synoptset 23 tabbed}{...}
{p2col 5 23 26 2: Scalars}{p_end}
{synopt :{cmd:e(N)}}観測数{p_end}
{synopt :{cmd:e(N_clust)}}クラスター数{p_end}
{synopt :{cmd:e(k_eq)}}{cmd:e(b)} における方程式の数{p_end}
{synopt :{cmd:e(k_levels)}}処置変数のレベルの数{p_end}
{synopt :{cmd:e(rank)}}{cmd:e(V)} のランク{p_end}
{synopt :{cmd:e(interact)}}処置変数と媒介変数の交差項が含まれていれば {cmd:1} , そうでなければ {cmd:0}{p_end}
{synopt :{cmd:e(converged)}}収束していれば {cmd:1} , そうでなければ {cmd:0}{p_end}

{p2col 5 23 26 2: Macros}{p_end}
{synopt :{cmd:e(cmd)}}{cmd:mediate}{p_end}
{synopt :{cmd:e(cmdline)}}実行したコマンド{p_end}
{synopt :{cmd:e(depvar)}}結果変数名{p_end}
{synopt :{cmd:e(mvar)}}媒介変数名{p_end}
{synopt :{cmd:e(tvar)}}処置変数名{p_end}
{synopt :{cmd:e(omodel)}}{cmd:linear}, {cmd:logit}, {cmd:probit}, {cmd:poisson},
        {cmd:expmean}{p_end}
{synopt :{cmd:e(mmodel)}}{cmd:linear}, {cmd:logit}, {cmd:probit}, {cmd:poisson},
        {cmd:expmean}{p_end}
{synopt :{cmd:e(wtype)}}重みタイプ{p_end}
{synopt :{cmd:e(wexp)}}重み表現{p_end}
{synopt :{cmd:e(title)}}推定結果のタイトル{p_end}
{synopt :{cmd:e(clustvar)}}クラスター変数名{p_end}
{synopt :{cmd:e(tlevels)}}処置変数のレベル{p_end}
{synopt :{cmd:e(tvartype)}}{cmd:binary}, {cmd:multivalued}, {cmd:continuous}{p_end}
{synopt :{cmd:e(control)}}基準となるレベル{p_end}
{synopt :{cmd:e(vce)}}{cmd:vce()} で指定した {it:vcetype} {p_end}
{synopt :{cmd:e(vcetype)}}標準誤差のタイトル{p_end}
{synopt :{cmd:e(properties)}}{cmd:b V}{p_end}
{synopt :{cmd:e(estat_cmd)}}{cmd:estat} の実装に使用されるプログラム{p_end}
{synopt :{cmd:e(predict)}}{cmd:predict} の実装に使用されるプログラム{p_end}
{synopt :{cmd:e(marginsnotok)}}{cmd:margins} によって許容されない予測{p_end}

{p2col 5 23 26 2: Matrices}{p_end}
{synopt :{cmd:e(b)}}係数ベクトル{p_end}
{synopt :{cmd:e(V)}}推定量の分散共分散行列{p_end}

{p2col 5 23 26 2: Functions}{p_end}
{synopt :{cmd:e(sample)}}推定に使用したサンプル{p_end}
{p2colreset}{...}

INCLUDE help jp_rtable

INCLUDE help jp_author
