{smcl}
{* *! version 1.3.5  03sep2020}{...}
{viewerdialog "ポアソン回帰" "dialog poisson"}{...}
{viewerdialog "調査データのポアソン回帰" "dialog poisson, message(-svy-) name(svy_poisson)"}{...}
{vieweralsosee "[R] poisson" "mansection R poisson"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[R] poisson postestimation" "help poisson postestimation"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[BAYES] bayes: poisson" "help bayes poisson"}{...}
{vieweralsosee "[MI] Estimation" "help mi estimation"}{...}
{vieweralsosee "[FMM] fmm: poisson" "help fmm poisson"}{...}
{vieweralsosee "[R] glm" "help glm"}{...}
{vieweralsosee "[R] heckpoisson" "help heckpoisson"}{...}
{vieweralsosee "[LASSO] Lasso intro" "help lasso intro"}{...}
{vieweralsosee "[ME] mepoisson" "help mepoisson"}{...}
{vieweralsosee "[R] nbreg" "help nbreg"}{...}
{vieweralsosee "[R] npregress kernel" "help npregress kernel"}{...}
{vieweralsosee "[R] npregress series" "help npregress series"}{...}
{vieweralsosee "[SVY] svy estimation" "help svy_estimation"}{...}
{vieweralsosee "[R] tpoisson" "help tpoisson"}{...}
{vieweralsosee "[XT] xtpoisson" "help xtpoisson"}{...}
{vieweralsosee "[R] zip" "help zip"}{...}
{viewerjumpto "コマンドの記述法" "jp_poisson##syntax"}{...}
{viewerjumpto "メニュー" "jp_poisson##menu"}{...}
{viewerjumpto "説明" "jp_poisson##description"}{...}
{viewerjumpto "例題" "jp_poisson##examples"}{...}
{viewerjumpto "保存される結果" "jp_poisson##results"}{...}
{viewerjumpto "お問合せ" "jp_poisson##author"}{...}
{p2colset 1 16 18 2}{...}
{p2col:{bf:[R] poisson} {hline 2}}ポアソン回帰{p_end}
{p2colreset}{...}


{marker syntax}{...}
{bf:コマンドの記述法}

{p 8 16 2}
{cmd:poisson} {it:{help jp_varlist:depvar}} [{it:{help jp_varlist:indepvars}}]  [{it:{help jp_if:if}}] [{it:{help jp_in:in}}] 
[{it:{help jp_poisson##weight:weight}}]
[{cmd:,}
{it:options}] 

{phang}
{it:depvar} は従属変数です. {p_end}
{phang}
{it:indepvars} は独立変数です. 半角スペースで区切って複数指定できます. {p_end}

{synoptset 28 tabbed}{...}
{synopthdr}
{synoptline}
{syntab :モデル}
{synopt :{opt nocons:tant}}定数項を含めない. {p_end}
{synopt :{opth exp:osure(varname:varname_e)}}係数を 1 としてモデルに ln({it:varname_e}) を含める. {p_end}
{synopt :{opth off:set(varname:varname_o)}}係数を 1 としてモデルに {it:varname_o} を含める. {p_end}
{synopt :{cmdab:const:raints(}{it:{help estimation options##constraints():constraints}}{cmd:)}}指定した線形制約を適用する. {p_end}

{syntab :標準誤差}
{synopt :{opth vce(vcetype)}}{it:vcetype} は次のいずれか. {break}
{opt oim},{opt r:obust}, {opt cl:uster} {it:clustvar},
{opt opg}, {opt boot:strap}, {opt jack:knife}{p_end}

{syntab :レポート}
{synopt :{opt l:evel(#)}}信頼水準を設定する. 初期値は, {cmd:level(95)}{p_end}
{synopt :{opt ir:r}}発生率比を表示する. {p_end}
{synopt :{opt nocnsr:eport}}制約を表示しない. {p_end}
{synopt :{it:{help poisson##display_options:display_options}}}表示に関するオプション. 

{syntab :最適化}
{synopt :{it:{help poisson##maximize_options:maximize_options}}}最適化の処理を制御する. {p_end}

{synopt:{opt col:linear}}共線変数を維持する.{p_end}
{synopt:{opt coefl:egend}}統計量の代わりに凡例を表示する. {p_end}
{synoptline}
{p2colreset}{...}
{p 4 6 2}
独立変数には, 因子変数を含めることができます. {p_end}
{p 4 6 2}{it:depvar}, {it:indepvars}, {it:varname_e}, {it:varname_o} には, 時系列オペレータを含めることができます. {p_end}
{p 4 6 2}{opt bayes}, {opt bootstrap}, {opt by}, {opt fmm}, {opt fp},
{opt jackknife}, {opt mfp}, {opt mi estimate}, {opt nestreg}, {opt rolling},
{opt statsby}, {opt stepwise}, {opt svy} プレフィクスを使用できます. {p_end}
{p 4 6 2}
{helpb mi estimate} プレフィクス指定時は, {cmd:vce(bootstrap)} と {cmd:vce(jackknife)} は使用できません. {p_end}
{p 4 6 2}{helpb bootstrap} プレフィクス指定時は, {it:weight} を使用できません. {p_end}
{p 4 6 2}
{helpb svy} プレフィクス指定時は, {opt vce()} と weight は使用できません. 
{p_end}
{marker weight}{...}
{p 4 6 2}{it:weight} には, {opt fweight}, {opt iweight}, {opt pweight} を使用できます. {p_end}
{p 4 6 2}
{opt collinear} と {opt coeflegend} は, ダイアログでは表示されません. {p_end}
{p 4 6 2}
{manhelp poisson_postestimation R:poisson postestimation} にて推定後に実行できる機能を確認できます.{p_end}


{marker menu}{...}
{bf:メニュー}

{phang}
{bf:[統計(S)] > [アウトカム(カウント)] > [ポワソン回帰]}


{marker description}{...}
{bf:説明}

{pstd}
{cmd:poisson} は, 指定した独立変数をもとに従属変数に当てはめるポアソン回帰モデルです. 
ここで指定する従属変数は, 非負のカウント変数です. 

{pstd}
{manhelp xtpoisson XT} にて, パネルデータに対するポアソン回帰を実行できます. 


{marker examples}{...}
{bf:例題}

{phang}クリックするとコマンドが実行されます. {p_end}


{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse dollhill3}{p_end}

{pstd}ポアソン回帰{p_end}
{phang2}{cmd:. }{stata poisson deaths smokes i.agecat, exposure(pyears)}
{p_end}

{phang}発生率比を求める. {p_end}
{phang2}{cmd:. }{stata poisson deaths smokes i.agecat, exposure(pyears) irr}

{phang}99% 信頼区間で結果を再表示する. {p_end}
{phang2}{cmd:. }{stata poisson, level(99) irr}{p_end}


{marker results}{...}
{bf:保存される結果}

{pstd}
{cmd:poisson} を実行すると, 下記の {cmd:e()} がメモリ上に保存されます. :

{synoptset 23 tabbed}{...}
{p2col 5 23 26 2: Scalars}{p_end}
{synopt:{cmd:e(N)}}観測数{p_end}
{synopt:{cmd:e(k)}}パラメータ数{p_end}
{synopt:{cmd:e(k_eq)}}{cmd:e(b)} における等式の数{p_end}
{synopt:{cmd:e(k_eq_model)}}モデルの検定における等式の数{p_end}
{synopt:{cmd:e(k_dv)}}従属変数の数{p_end}
{synopt:{cmd:e(df_m)}}モデルの自由度{p_end}
{synopt:{cmd:e(r2_p)}}疑似決定係数{p_end}
{synopt:{cmd:e(ll)}}対数尤度{p_end}
{synopt:{cmd:e(ll_0)}}定数項のみのモデルの対数尤度{p_end}
{synopt:{cmd:e(N_clust)}}クラスター数{p_end}
{synopt:{cmd:e(chi2)}}カイ二乗値{p_end}
{synopt:{cmd:e(p)}}モデルの検定における {it:p}-値{p_end}
{synopt:{cmd:e(rank)}}{cmd:e(V)} のランク{p_end}
{synopt:{cmd:e(ic)}}反復回数{p_end}
{synopt:{cmd:e(rc)}}戻り値{p_end}
{synopt:{cmd:e(converged)}}収束していれば　{cmd:1}, それ以外の時 {cmd:0}{p_end}

{p2col 5 23 26 2: Macros}{p_end}
{synopt:{cmd:e(cmd)}}{cmd:poisson}{p_end}
{synopt:{cmd:e(cmdline)}}実行されたコマンド{p_end}
{synopt:{cmd:e(depvar)}}従属変数名{p_end}
{synopt:{cmd:e(wtype)}}重みタイプ{p_end}
{synopt:{cmd:e(wexp)}}重み表現{p_end}
{synopt:{cmd:e(title)}}推定結果のタイトル{p_end}
{synopt:{cmd:e(clustvar)}}クラスター変数名{p_end}
{synopt:{cmd:e(offset)}}線形オフセット変数{p_end}
{synopt:{cmd:e(chi2type)}}カイ二乗検定のタイプ. {cmd:Wald} または {cmd:LR}{p_end}
{synopt:{cmd:e(vce)}}{cmd:vce()} で指定した {it:vcetype}{p_end}
{synopt:{cmd:e(vcetype)}}標準誤差のタイトル{p_end}
{synopt:{cmd:e(opt)}}最適化のタイプ{p_end}
{synopt:{cmd:e(which)}}{cmd:max} または {cmd:min}. 最適化問題が最小化か最大化か.{p_end}
{synopt:{cmd:e(ml_method)}}{cmd:ml} 法のタイプ{p_end}
{synopt:{cmd:e(user)}}尤度評価のプログラム名{p_end}
{synopt:{cmd:e(technique)}}最適化手法{p_end}
{synopt:{cmd:e(properties)}}{cmd:b V}{p_end}
{synopt:{cmd:e(estat_cmd)}}{cmd:estat} の実装に使用されるプログラム{p_end}
{synopt:{cmd:e(predict)}}{cmd:predict} の実装に使用されるプログラム{p_end}
{synopt:{cmd:e(asbalanced)}}{cmd:asbalanced} とする因子変数{p_end}
{synopt:{cmd:e(asobserved)}}{cmd:asobserved} とする因子変数{p_end}

{p2col 5 23 26 2: Matrices}{p_end}
{synopt:{cmd:e(b)}}係数ベクトル{p_end}
{synopt:{cmd:e(Cns)}}制約行列{p_end}
{synopt:{cmd:e(ilog)}}20 回までの反復ログ{p_end}
{synopt:{cmd:e(gradient)}}勾配ベクトル{p_end}
{synopt:{cmd:e(V)}}推定値の分散共分散行列{p_end}
{synopt:{cmd:e(V_modelbased)}}モデルベースの分散{p_end}

{p2col 5 23 26 2: Functions}{p_end}
{synopt:{cmd:e(sample)}}推定に使用したサンプル{p_end}
{p2colreset}{...}

INCLUDE help jp_rtable

INCLUDE help jp_author
