{smcl}
{* *! version 1.6.0  07nov2024}{...}
{viewerdialog "線形回帰" "dialog regress"}{...}
{viewerdialog "調査データの線形回帰" "dialog regress, message(-svy-) name(svy_regress)"}{...}
{vieweralsosee "[R] regress" "mansection R regress"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[R] regress postestimation" "help regress postestimation"}{...}
{vieweralsosee "[R] regress postestimation diagnostic plots" "help regress postestimation plots"}{...}
{vieweralsosee "[R] regress postestimation ts" "help regress postestimation ts"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[R] anova" "help anova"}{...}
{vieweralsosee "[BAYES] bayes: regress" "help bayes regress"}{...}
{vieweralsosee "[BMA] bmaregress" "help bmaregress"}{...}
{vieweralsosee "[CAUSAL] Causal inference commands" "help causal_inference"}{...}
{vieweralsosee "[R] contrast" "help contrast"}{...}
{vieweralsosee "[MI] Estimation" "help mi estimation"}{...}
{findalias assemreg}{...}
{vieweralsosee "[FMM] fmm: regress" "help fmm regress"}{...}
{vieweralsosee "[TS] forecast" "help forecast"}{...}
{vieweralsosee "[R] hetregress" "help hetregress"}{...}
{vieweralsosee "[SEM] Intro 5" "mansection SEM Intro5"}{...}
{vieweralsosee "[LASSO] Lasso intro" "help lasso intro"}{...}
{vieweralsosee "[META] meta regress" "help meta_regress"}{...}
{vieweralsosee "[TS] mswitch" "help mswitch"}{...}
{vieweralsosee "[SP] spregress" "help spregress"}{...}
{vieweralsosee "[SVY] svy estimation" "help svy estimation"}{...}
{vieweralsosee "[R] wildbootstrap" "help wildbootstrap"}{...}
{viewerjumpto "コマンドの記述法" "jp_regress##syntax"}{...}
{viewerjumpto "メニュー" "jp_regress##menu"}{...}
{viewerjumpto "説明" "jp_regress##description"}{...}
{viewerjumpto "例題" "jp_regress##examples"}{...}
{viewerjumpto "保存される結果" "jp_regress##results"}{...}
{viewerjumpto "参考文献" "jp_regress##references"}{...}
{viewerjumpto "お問合せ" "jp_regress##author"}{...}
{p2colset 1 16 18 2}{...}
{p2col:{bf:[R] regress} {hline 2}} 線形回帰 ( Linear regression ){p_end}
{p2colreset}{...}


{marker syntax}{...}
{bf:コマンドの記述法}

{p 8 16 2}
{opt regress} {it:{help jp_varlist:depvar}} [{it:{help jp_varlist:indepvars}}] [{it:{help jp_if:if}}] [{it:{help jp_in:in}}] 
[{it:{help jp_regress##weight:weight}}]
   [{cmd:,} {it:options}]

{phang}
{it:depvar} は従属変数です. {p_end}
{phang}
{it:indepvars} は独立変数です. 半角スペースで区切って複数指定できます. {p_end}

{synoptset 20 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:モデル}
{synopt :{opt nocons:tant}}定数項を含めない. {p_end}
{synopt :{opt h:ascons}}ユーザが指定した定数を持つ. {p_end}
{synopt :{opt tsscons}}定数の平方和を計算する. {p_end}

{syntab:標準誤差}
{synopt :{opth vce:(regress##vcetype:vcetype)}}{it:vcetype} は次のいずれか. {break}{opt ols},
{opt r:obust}, {opt cl:uster} {it:クラスター変数}, {break}
{opt boot:strap}, {opt jack:knife}, {opt hc2} [{it:クラスター変数}], {opt hc3}{p_end}

{syntab:レポート}
{synopt :{opt l:evel(#)}}信頼水準を設定する.  初期値は, {cmd:level(95)}{p_end}
{synopt :{opt b:eta}}標準化回帰係数を表示する. {p_end}
{synopt :{opth ef:orm(strings:string)}}指数変換した係数を表示する. {p_end}
{synopt :{opth dep:name(varname)}}表に表示する従属変数名を変更する. {p_end}
{synopt :{opt clustert:able}}複数のクラスターの組合せのテーブルを表示する. {p_end}
{synopt :{it:{help regress##display_options:display_options}}}表示形式に関するオプション. {p_end}

{synopt :{opt nohe:ader}}推定結果の表のみ表示する. {p_end}
{synopt :{opt notab:le}}推定結果の表を表示しない. {p_end}
{synopt :{opt plus}}表を拡張可能にする. {p_end}
{synopt :{opt ms:e1}}平均二乗誤差を強制的に1にする. {p_end}
{synopt :{opt coefl:egend}}統計量の代わりに凡例を表示する. {p_end}
{synoptline}
{p 4 6 2}
{it:indepvars} には因子変数を含めることができます. {p_end}
{p 4 6 2}
{it:depvar} と {it:indepvars} には時系列オペレータを含めることができます. {p_end}
{p 4 6 2}
{cmd:bayes}, {cmd:bootstrap}, {cmd:by}, {cmd:collect}, {opt fmm}, {opt fp},
{cmd:jackknife}, {opt mfp}, {cmd:mi estimate}, {cmd:nestreg}, {cmd:rolling},
{cmd:statsby}, {cmd:stepwise}, {cmd:svy} プレフィクスが使用できます{p_end}
{p 4 6 2}{cmd:vce(bootstrap)} と {cmd:vce(jackknife)} は, {cmd:mi estimate} プレフィクス使用時は指定できません. {p_end}
{p 4 6 2}{helpb bootstrap} プレフィクス使用時は, weight を使用できません. {p_end}
{p 4 6 2}{helpb jackknife} プレフィクス使用時は, {cmd:aweight} を使用できません. 
{p_end}
{p 4 6 2}
{opt hascons},
{opt tsscons},
{opt vce()},
{opt beta},
{opt noheader},
{opt notable},
{opt plus},
{opt depname()},
{opt mse1},
weight は {helpb svy} プレフィクスと同時に使用できません. 
{p_end}
{marker weight}{...}
{p 4 6 2}
weight には, {cmd:aweight}, {cmd:fweight}, {cmd:iweight}, {cmd:pweight} が使用できます. {p_end}
{p 4 6 2}
{opt noheader}, {opt notable}, {opt plus}, {opt mse1}, {opt coeflegend} はダイアログでは指定できません. {p_end}
{p 4 6 2}
{manhelp regress_postestimation R:regress postestimation} にて, 推定後に実行できる機能を確認できます. {p_end}


{marker menu}{...}
{bf:メニュー}

{phang}
{bf:[統計(S)] > [線形モデル他] > [線形回帰]}


{marker description}{...}
{bf:説明}

{pstd}
{cmd:regress} は通常の最小二乗線形回帰を実行します. 
{cmd:regress} は, 加重推定の実行, ロバストおよびクラスターロバスト標準誤差の計算, 
複雑な調査データに対しても実行できます. 

{marker examples}{...}
{bf:例題: 線形回帰}

{phang}クリックするとコマンドが実行されます. {p_end}

{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata sysuse auto}{p_end}

{pstd}線形回帰(従属変数：mpg , 独立変数：weight foreign){p_end}
{phang2}{cmd:. }{stata regress mpg weight foreign}{p_end}

{pstd}変数mpgの逆数に100を掛けた変数へ回帰{p_end}
{phang2}{cmd:. }{stata gen gp100m = 100/mpg}{p_end}
{phang2}{cmd:. }{stata regress gp100m weight foreign}{p_end}

{pstd}標準化係数を表示{p_end}
{phang2}{cmd:. }{stata regress, beta}{p_end}

{pstd}回帰モデルに定数項を含めない{p_end}
{phang2}{cmd:. }{stata regress weight length, noconstant}{p_end}

{pstd}変数 foregin の係数に定数項を含める{p_end}
{phang2}{cmd:. }{stata regress weight length bn.foreign, hascons}{p_end}


{bf:例題: ロバスト標準誤差の線形回帰}

        {hline}
{phang2}{cmd:. }{stata sysuse auto}{p_end}
{phang2}{cmd:. }{stata generate gpmw = ((1/mpg)/weight)*100*1000}{p_end}
{phang2}{cmd:. }{stata regress gpmw foreign}{p_end}
{phang2}{cmd:. }{stata regress gpmw foreign, vce(robust)}{p_end}
{phang2}{cmd:. }{stata regress gpmw foreign, vce(hc2)}{p_end}
{phang2}{cmd:. }{stata regress gpmw foreign, vce(hc3)}{p_end}
        {hline}
{phang2}{cmd:. }{stata webuse regsmpl}{p_end}
{phang2}{cmd:. }{stata regress ln_wage age c.age#c.age tenure, vce(cluster id)}{p_end}
        {hline}


{bf:例題: 重み付き回帰}

{phang2}{cmd:. }{stata sysuse census}{p_end}
{phang2}{cmd:. }{stata regress death medage i.region [aw=pop]}{p_end}


{bf:例題: 調査データに対する線形回帰}

{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse highschool}

{pstd}調査データを使って線形回帰{p_end}
{phang2}{cmd:. }{stata "svy: regress weight height"}

{pstd}変数 male の生成{p_end}
{phang2}{cmd:. }{stata "generate male = sex == 1 if !missing(sex)"}

{pstd}部分集団に対する線形回帰{p_end}
{phang2}{cmd:. }{stata "svy, subpop(male): regress weight height"}


{marker results}{...}
{bf:保存される結果}

{pstd}
{cmd:regress} を実行すると下記の {cmd:e()} がメモリ上に保存されます. :

{synoptset 23 tabbed}{...}
{p2col 5 23 26 2: Scalars}{p_end}
{synopt:{cmd:e(N)}}観測数{p_end}
{synopt:{cmd:e(mss)}}回帰平方和{p_end}
{synopt:{cmd:e(df_m)}}モデルの自由度{p_end}
{synopt:{cmd:e(rss)}}残差平方和{p_end}
{synopt:{cmd:e(df_r)}}残差の自由度{p_end}
{synopt:{cmd:e(r2)}}決定係数{p_end}
{synopt:{cmd:e(r2_a)}}自由度調整済み決定係数{p_end}
{synopt:{cmd:e(F)}}{it:F} 統計量{p_end}
{synopt:{cmd:e(rmse)}}平均二乗誤差の平方根{p_end}
{synopt:{cmd:e(ll)}}独立で同一な正規誤差のもとでの対数尤度{p_end}
{synopt:{cmd:e(ll_0)}}定数項のみのモデルにおける対数尤度{p_end}
{synopt:{cmd:e(sum_w)}}重みの和{p_end}
{synopt:{cmd:e(N_clust)}}クラスター数{p_end}
{synopt:{cmd:e(rank)}}{cmd:e(V)} のランク{p_end}

{p2col 5 23 26 2: Macros}{p_end}
{synopt:{cmd:e(cmd)}}{cmd:regress}{p_end}
{synopt:{cmd:e(cmdline)}}実行されたコマンド{p_end}
{synopt:{cmd:e(depvar)}}従属変数名{p_end}
{synopt:{cmd:e(wtype)}}重みタイプ{p_end}
{synopt:{cmd:e(wexp)}}重み表現{p_end}
{synopt:{cmd:e(model)}}{cmd:ols}{p_end}
{synopt:{cmd:e(title)}}{cmd:vce()} が{cmd:ols} でない時の推定結果のタイトル{p_end}
{synopt:{cmd:e(clustvar)}}クラスター変数名{p_end}
{synopt:{cmd:e(cluster}{it:#}{cmd:)}}クラスターの組合せ{p_end}
{synopt:{cmd:e(vce)}}{cmd:vce()}で指定した{it:vcetype}{p_end}
{synopt:{cmd:e(vcetype)}}標準誤差のタイトル{p_end}
{synopt:{cmd:e(properties)}}{cmd:b V}{p_end}
{synopt:{cmd:e(estat_cmd)}}{cmd:estat} の実装に使用されるプログラム{p_end}
{synopt:{cmd:e(predict)}}{cmd:predict} の実装に使用されるプログラム{p_end}
{synopt:{cmd:e(marginsok)}}{cmd:margins} によって許容される予測{p_end}
{synopt:{cmd:e(asbalanced)}}{cmd:asbalanced} とする因子変数{p_end}
{synopt:{cmd:e(asobserved)}}{cmd:asobserved} とする因子変数{p_end}

{p2col 5 23 26 2: Matrices}{p_end}
{synopt:{cmd:e(b)}}係数ベクトル{p_end}
{synopt:{cmd:e(V)}}推定された分散共分散行列{p_end}
{synopt:{cmd:e(beta)}}標準化係数{p_end}
{synopt:{cmd:e(V_modelbased)}}モデルベースの分散{p_end}
{synopt:{cmd:e(adj_df)}}{cmd:vce(hc2, dfadjust)} を指定した際の調整済み自由度{p_end}
{synopt:{cmd:e(kcluster)}}クラスターサイズ{p_end}

{p2col 5 23 26 2: Functions}{p_end}
{synopt:{cmd:e(sample)}}推定に使用したサンプル{p_end}
{p2colreset}{...}

INCLUDE help jp_rtable

{marker references}{...}
{bf:参考文献}

{marker AP2009}{...}
{phang}
Angrist, J. D., and J.-S. Pischke. 2009.
{browse "http://www.stata.com/bookstore/mhe.html":{it:Mostly Harmless Econometrics: An Empiricist's Companion}.}
Princeton, NJ: Princeton University Press.

{marker bellmccaffrey2002}{...}
{phang}
Bell, R. M., and D. F. McCaffrey. 2002. Bias reduction in standard errors for
linear regression with multi-stage samples.
{it:Survey Methodology} 28: 169-181.

{marker DM1993}{...}
{phang}
Davidson, R., and J. G. MacKinnon. 1993.
{browse "http://www.stata.com/bookstore/eie.html":{it:Estimation and Inference in Econometrics}.}
New York: Oxford University Press.
{p_end}

INCLUDE help jp_author
