{smcl}
{* *! version 1.2.5  18mar2021}{...}
{viewerdialog "記述統計量" "dialog summarize"}{...}
{vieweralsosee "[R] summarize" "mansection R summarize"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[R] ameans" "help ameans"}{...}
{vieweralsosee "[R] centile" "help centile"}{...}
{vieweralsosee "[R] ci" "help ci"}{...}
{vieweralsosee "[D] codebook" "help codebook"}{...}
{vieweralsosee "[D] describe" "help describe"}{...}
{vieweralsosee "[D] inspect" "help inspect"}{...}
{vieweralsosee "[R] mean" "help mean"}{...}
{vieweralsosee "[R] proportion" "help proportion"}{...}
{vieweralsosee "[R] ratio" "help ratio"}{...}
{vieweralsosee "[ST] stsum" "help stsum"}{...}
{vieweralsosee "[SVY] svy estimation" "help svy_estimation"}{...}
{vieweralsosee "[R] table" "help table"}{...}
{vieweralsosee "[R] tabstat" "help tabstat"}{...}
{vieweralsosee "[R] tabulate, summarize()" "help tabulate_summarize"}{...}
{vieweralsosee "[R] total" "help total"}{...}
{vieweralsosee "[XT] xtsum" "help xtsum"}{...}
{viewerjumpto "コマンドの記述法" "jp_summarize##syntax"}{...}
{viewerjumpto "メニュー" "jp_summarize##menu"}{...}
{viewerjumpto "説明" "jp_summarize##description"}{...}
{viewerjumpto "例題" "jp_summarize##examples"}{...}
{viewerjumpto "保存される結果" "jp_summarize##results"}{...}
{viewerjumpto "お問合せ" "jp_summarize##author"}{...}
{p2colset 1 18 20 2}{...}
{p2col:{bf:[R] summarize} {hline 2}}記述統計量{p_end}
{p2colreset}{...}


{marker syntax}{...}
{bf:コマンドの記述法}

{p 8 18 2}
{cmdab:su:mmarize} {it:{help jp_varlist:varlist}}
[{it:{help jp_if:if}}] [{it:{help jp_in:in}}] 
[{it:{help jp_summarize##weight:weight}}]
[{cmd:,}
{it:options}]

{phang}
{it:varlist} は変数リストです. 半角スペースで区切って複数指定できます. {p_end}

{synoptset 16 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:メイン}
{synopt:{opt d:etail}}パーセンタイル, 歪度, 尖度を表示します. {p_end}
{synopt:{opt mean:only}}表示を省略し, 平均のみ算出します. {p_end}
{synopt:{opt f:ormat}}変数の表示形式を使用します. {p_end}
{synopt:{opt sep:arator(#)}}{it:#} 行ごとに横線を描きます. 初期設定は, 
{cmd:separator(5)}です. {p_end}
{synopt :{it:{help estimation options##display_options:display_options}}}
           表示形式に関するオプションです. {p_end}

{synoptline}
{p2colreset}{...}
{p 4 6 2}
  {it:varlist} には因子変数を含めることができます. 
  {p_end}
{p 4 6 2}
  {it:varlist} には時系列オペレータを含めることができます. 
  {p_end}
{p 4 6 2}
  {opt by}, {opt collect}, {opt rolling}, {opt statsby} プレフィクスを使用できます. 
  {p_end}
{marker weight}{...}
{p 4 6 2}
  {it:weight} には, {opt aweight}, {opt fweight}, {opt iweight} を使用できます. 
  ただし, {opt iweight} 指定時は {opt detail} オプションは使用できません. 
  {p_end}


{marker menu}{...}
{bf:メニュー}

{phang}
{bf:[統計(S)] > [要約/表/検定] > [要約と記述統計量] > [記述統計量]}


{marker description}{...}
{bf:説明}

{pstd}
{opt summarize} は{it:varlist} に指定した変数ごとの記述統計量を算出して表示します. 変数リストが指定されていない場合, 
データセットに含まれる全ての変数に対して記述統計量を表示します. 


{marker examples}{...}
{bf:例題}

{phang}クリックするとコマンドが実行されます. {p_end}

{phang}{cmd:. }{stata sysuse auto}{p_end}
{phang}{cmd:. }{stata summarize}{p_end}
{phang}{cmd:. }{stata summarize mpg weight}{p_end}
{phang}{cmd:. }{stata summarize mpg weight if foreign}{p_end}
{phang}{cmd:. }{stata summarize mpg weight if foreign, detail}{p_end}
{phang}{cmd:. }{stata summarize i.rep78}


{marker results}{...}
{bf:保存される結果}

{pstd}
{cmd:summarize} を実行すると下記の {cmd:r()} がメモリ上に保存されます. :

{synoptset 15 tabbed}{...}
{p2col 5 15 19 2: Scalars}{p_end}
{synopt:{cmd:r(N)}}観測数{p_end}
{synopt:{cmd:r(mean)}}平均{p_end}
{synopt:{cmd:r(skewness)}}歪度 ({cmd:detail} 指定時のみ){p_end}
{synopt:{cmd:r(min)}}最小値{p_end}
{synopt:{cmd:r(max)}}最大値{p_end}
{synopt:{cmd:r(sum_w)}}加重合計{p_end}
{synopt:{cmd:r(p1)}}1パーセンタイル ({cmd:detail} 指定時のみ){p_end}
{synopt:{cmd:r(p5)}}5パーセンタイル ({cmd:detail} 指定時のみ){p_end}
{synopt:{cmd:r(p10)}}10パーセンタイル ({cmd:detail} 指定時のみ){p_end}
{synopt:{cmd:r(p25)}}25パーセンタイル ({cmd:detail} 指定時のみ){p_end}
{synopt:{cmd:r(p50)}}50パーセンタイル ({cmd:detail} 指定時のみy){p_end}
{synopt:{cmd:r(p75)}}75パーセンタイル ({cmd:detail} 指定時のみ){p_end}
{synopt:{cmd:r(p90)}}90パーセンタイル ({cmd:detail} 指定時のみ){p_end}
{synopt:{cmd:r(p95)}}95パーセンタイル ({cmd:detail} 指定時のみ){p_end}
{synopt:{cmd:r(p99)}}99パーセンタイル ({cmd:detail} 指定時のみ){p_end}
{synopt:{cmd:r(Var)}}分散{p_end}
{synopt:{cmd:r(kurtosis)}}尖度 ({cmd:detail} 指定時のみ){p_end}
{synopt:{cmd:r(sum)}}合計{p_end}
{synopt:{cmd:r(sd)}}標準偏差{p_end}
{p2colreset}{...}

INCLUDE help jp_author
