{smcl}
{* *! version 1.1.31  04feb2022}{...}
{viewerdialog "t検定（平均値の差の検定）" "dialog ttest"}{...}
{viewerdialog "t検定（集計値を入力）" "dialog ttesti"}{...}
{vieweralsosee "[R] ttest" "mansection R ttest"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[R] bitest" "help bitest"}{...}
{vieweralsosee "[R] ci" "help ci"}{...}
{vieweralsosee "[R] esize" "help esize"}{...}
{vieweralsosee "[MV] hotelling" "help hotelling"}{...}
{vieweralsosee "[R] mean" "help mean"}{...}
{vieweralsosee "[R] oneway" "help oneway"}{...}
{vieweralsosee "[R] prtest" "help prtest"}{...}
{vieweralsosee "[R] sdtest" "help sdtest"}{...}
{vieweralsosee "[R] ztest" "help ztest"}{...}
{viewerjumpto "コマンドの記述法" "jp_ttest##syntax"}{...}
{viewerjumpto "メニュー" "jp_ttest##menu"}{...}
{viewerjumpto "説明" "jp_ttest##description"}{...}
{viewerjumpto "オプション" "jp_ttest##options"}{...}
{viewerjumpto "例題" "jp_ttest##examples"}{...}
{viewerjumpto "保存される結果" "jp_ttest##results"}{...}
{viewerjumpto "参考文献" "jp_ttest##references"}{...}
{viewerjumpto "お問合せ" "jp_regress##author"}{...}
{p2colset 1 14 16 2}{...}
{p2col:{bf:[R] ttest} {hline 2}}{it:t} 検定 (平均値の差の検定){p_end}
{p2colreset}{...}


{marker syntax}{...}
{bf:コマンドの記述法}

{pstd}
1標本に対する {it:t} 検定

{p 8 14 2}
{cmd:ttest}
{it:{help jp_varlist:varname}}
{cmd:==}
{it:#}
[{it:{help jp_if:if}}] [{it:{help jp_in:in}}]
[{cmd:,} {opt l:evel(#)}]


{pstd}
グループ変数を指定する 2 標本に対する {it:t} 検定

{p 8 14 2}
{cmd:ttest}
{it:{help jp_varlist:varname}}
[{it:{help jp_if:if}}] [{it:{help jp_in:in}}]
{cmd:, by({it:{help jp_varlist:groupvar}})}
[{it:{help jp_ttest##options1:options1}}]


{pstd}
対応のない 2 変数を指定する 2 標本に対する {it:t} 検定

{p 8 14 2}
{cmd:ttest}
{it:{help jp_varlist:varname1}}
{cmd:==}
{it:{help jp_varlist:varname2}}
[{it:{help jp_if:if}}] [{it:{help jp_in:in}}]{cmd:,}
{opt unp:aired}
[{opt une:qual}
{opt w:elch}
{opt l:evel(#)}]


{pstd}
対応のある 2 変数を指定する 2 標本に対する {it:t} 検定

{p 8 14 2}
{cmd:ttest}
{it:{help jp_varlist:varname1}}
{cmd:==}
{it:{help jp_varlist:varname2}}
[{it:{help jp_if:if}}] [{it:{help jp_in:in}}]
[{cmd:,} {opt l:evel(#)}]


{pstd}
集計値を入力する 1 標本 {it:t} 検定

{p 8 14 2}
{cmd:ttesti}
{it:#obs}
{it:#mean}
{it:#sd}
{it:#val}
[{cmd:,}
{opt l:evel(#)}]

{p 8 14 2}
{it:#obs} は観測数, {it:#mean} は平均, {it:#sd} は標準偏差, {it:#val} は比較する平均値を意味します. 

{pstd}
集計値を入力する 2 標本 {it:t} 検定

{p 8 14 2}
{cmd:ttesti}
{it:obs1}
{it:mean1}
{it:sd1}
{it:obs2}
{it:mean2}
{it:sd2}
[{cmd:,}
{it:{help jp_ttest##options2:options2}}]

{p 8 14 2}
{it:#obs1} と {it:#obs2} は観測数, {it:#mean1} と {it:#mean2} は平均, {it:#sd1} と {it:#sd2} は標準偏差を意味します. 

{synoptset 16 tabbed}{...}
{marker options1}{...}
{synopthdr:options1}
{synoptline}
{syntab:メイン}
{p2coldent:* {opth by:(jp_varlist:groupvar)}}グループを定義する変数{p_end}
{synopt:{opt rev:erse}}平均の差の計算においてグループの順序を反転します. {p_end}
{synopt:{opt une:qual}}不均等な分散をもつ対応のないデータ{p_end}
{synopt:{opt w:elch}}Welch の近似を使用します. {p_end}
{synopt:{opt l:evel(#)}}信頼水準を設定します. 初期値は, {cmd:level(95)} です. {p_end}
{synoptline}
{p 4 6 2}* {opt by(groupvar)} は必ず指定する必要があります. {p_end}

{marker options2}{...}
{synopthdr:options2}
{synoptline}
{syntab:メイン}
{synopt:{opt une:qual}}不均等な分散をもつ対応のないデータ{p_end}
{synopt:{opt w:elch}}Welch の近似を使用します. {p_end}
{synopt:{opt l:evel(#)}}信頼水準を設定します. 初期値は, {cmd:level(95)} です. {p_end}
{synoptline}
{p2colreset}{...}
{phang}
{opt by} と {opt collect} をプレフィクスとして指定できます. 


{marker menu}{...}
{bf:メニュー}

    {title:ttest}

{phang2}
{bf:[統計(S)] > [要約/表/検定] > [伝統的な仮説検定] > [t検定(平均比較検定)]}

    {title:ttesti}

{phang2}
{bf:[統計(S)] > [要約/表/検定] > [伝統的な仮説検定] > [t検定(集計値の直接入力)]}


{marker description}{...}
{bf:説明}

{pstd}
{opt ttest} は, 平均の等価性に関する {it:t} 検定を実行します. 
この検定は, 仮定された母集団平均に対応する 1 つの標本に対して実行できます. 
2 標本検定は, 対応のあるデータと対応のないデータに対して実行できます. 
対応のない 2 標本の場合, 等分散の仮定はオプションで緩和できます. 

{pstd}
データではなく集計値が与えられている場合, {opt ttesti} にて実行できます. 

{marker examples}{...}
{bf:例題}

{phang}クリックするとコマンドが実行されます. {p_end}

    {cmd:. }{stata sysuse auto}             (サンプルデータの読込み)
    {cmd:. }{stata ttest mpg==20}           (1 標本 {it:t} 検定)

    {cmd:. }{stata webuse fuel3}            (サンプルデータの読込み)
    {cmd:. }{stata ttest mpg, by(treated)}  (グループを指定した 2 標本 {it:t} 検定)

    {cmd:. }{stata webuse fuel}             (サンプルデータの読込み)
    {cmd:. }{stata ttest mpg1==mpg2}        (対応のある 2 標本 {it:t} 検定)

                              (データの読込み不要)
    {cmd:. }{stata ttesti 24 62.6 15.8 75}  (観測数=24, 平均=62.6, 標準偏差=15.8 において
                                    平均値=75 と有意差があるか検定)



{marker results}{...}
{bf:保存される結果}

{pstd}
{cmd:ttest} または {cmd:ttesti} を実行すると下記の {cmd:r()} がメモリ上に保存されます. :

{synoptset 15 tabbed}{...}
{p2col 5 15 19 2: Scalars}{p_end}
{synopt:{cmd:r(N_1)}}標本数 n_1{p_end}
{synopt:{cmd:r(N_2)}}標本数 n_2{p_end}
{synopt:{cmd:r(p_l)}}下側検定の {it:p}-値{p_end}
{synopt:{cmd:r(p_u)}}上側検定の {it:p}-値{p_end}
{synopt:{cmd:r(p)}}両側検定の {it:p}-値{p_end}
{synopt:{cmd:r(se)}}推定された標準誤差{p_end}
{synopt:{cmd:r(t)}}t 統計量{p_end}
{synopt:{cmd:r(sd_1)}}1 つめの変数に対する標準偏差{p_end}
{synopt:{cmd:r(sd_2)}}2 つめの変数に対する標準偏差{p_end}
{synopt:{cmd:r(sd)}}2 つの変数を合わせた標準偏差{p_end}
{synopt:{cmd:r(mu_1)}}1 つめの変数における標本平均{p_end}
{synopt:{cmd:r(mu_2)}}2 つめの変数における標本平均{p_end}
{synopt:{cmd:r(df_t)}}自由度{p_end}
{synopt:{cmd:r(level)}}信頼水準{p_end}
{p2colreset}{...}


{marker references}{...}
{bf:参考文献}

{marker S1946}{...}
{phang}
Satterthwaite, F. E. 1946.
An approximate distribution of estimates of variance components.
{it:Biometrics Bulletin} 2: 110-114.

{marker W1947}{...}
{phang}
Welch, B. L. 1947.
The generalization of `student's' problem when several different population
variances are involved. {it:Biometrika} 34: 28-35.
{p_end}

INCLUDE help jp_author
