{smcl}
{* *! version 1.3.0  06sep2023}{...}
{findalias asfrvarlists}{...}
{vieweralsosee "" "--"}{...}
{findalias asfrsyntax}{...}
{findalias asfrvarabbrev}{...}
{vieweralsosee "[U] 11 Language syntax" "help language"}{...}
{vieweralsosee "[U] 11.1.8 numlist" "help numlist"}{...}
{vieweralsosee "[U] 11.4.2 Lists of new variables" "help newvarlist"}{...}
{vieweralsosee "[U] 11.4.3 Factor variables" "help fvvarlist"}{...}
{vieweralsosee "[U] 11.4.4 Time-series varlists" "help tsvarlist"}{...}
{vieweralsosee "[U] 13.7 Explicit subscripting" "help subscripting"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[TS] tsset" "help tsset"}{...}
{viewerjumpto "説明" "jp_varlist##description"}{...}
{viewerjumpto "例題" "jp_varlist##examples"}{...}
{viewerjumpto "お問合せ" "jp_varlist##author"}{...}
{bf:タイトル}

{phang}変数名と変数リスト{p_end}

{marker description}{...}
{bf:説明}

{pstd}
{it:varlist} は変数名のリストです. 
{it:varlist} 内の変数名は, 新しい (まだ作成されていない) 変数のみ, または既存の変数のみを参照します. 
{it:newvarlist} は常に新しい (まだ作成されていない) 変数のみを参照します. 
同様に, {it:varname} は, 既存またはまだ作成されていない 1 つの変数を参照します. 
{it:newvar} は常に 1 つの新しい変数を参照します. 

{pstd}
コマンドによっては, {it:varname} を "{it:groupvar}" などの別の方法で参照することがあります. 
これも varname です. 
別の名前は, その変数の目的についての追加のヒントを与えるために使用されます. 
たとえば, {it:groupvar} は, データ内のグループを定義する変数の名前です. 
Stata で{it:varname} または{it:varlist} を参照するその他の記載は次のとおりです. 

{phang2}
    {it:depvar} は, 推定コマンドにおける従属変数を意味します. 

{phang2}
    {it:indepvars} は, 推定コマンドにおける独立変数の変数リストです. 

{phang2}
    {it:xvar} は, 連続値変数を意味します. 主にグラフの{it:x} 軸のプロットに使用されます. 

{phang2}
    {it:yvar} は, {it:xvar}の関数となる変数を意味します. 主にグラフの{it:y} 軸のプロットに使用されます. 

{phang2}
    {it:clustvar} は, クラスターやグループを識別するための数値変数を意味します. 

{phang2}
    {it:panelvar} は, パネルデータにおけるパネルを識別するための変数を意味します. 

{phang2}
    {it:timevar} は, {cmd:%td}, {cmd:%tc}, {cmd:%tC} 形式の変数を意味します. 

{pstd}
下記は, 変数を指定する際の一例です. 

{p 8 34 2}{cmd:myvar} {space 17} 1 つの変数{p_end}
{p 8 34 2}{cmd:myvar thisvar thatvar} {space 1} 3 つの変数{p_end}
{p 8 34 2}{cmd:myvar*} {space 16} {cmd:myvar} から始まる変数{p_end}
{p 8 34 2}{cmd:*var} {space 18} {cmd:var} で終わる変数{p_end}
{p 8 34 2}{cmd:my*var} {space 16} {cmd:my} で始まり, 
		 {cmd:var} で終わる変数{p_end}
{p 8 34 2}{cmd:my~var} {space 16} {cmd:my} で始まり, 
		 {cmd:var} で終わる1つの変数{p_end}
{p 8 34 2}{cmd:my?var} {space 16} {cmd:my} で始まり, 任意の1文字を挟んで
		{cmd:var} で終わる変数{p_end}
{p 8 34 2}{cmd:this-that} {space 13} データセット内の {cmd:this} から {cmd:that} までの変数{p_end}

{pstd}
{cmd:*} という文字は, その位置に任意の数の文字がある変数名と一致することを示します. 
パターンに一致するすべての変数が返されます. 

{pstd}
{cmd:~} という文字は, {cmd:~} の位置にある任意の数の文字と変数名が一致することを示します. 
複数の変数が一致する場合は, エラーメッセージが表示されます. 

{pstd}
{cmd:?} という文字は任意の 1 文字とみなされます. パターンに一致するすべての変数が返されます. 

{pstd}
{cmd:-} という文字は, データセット内の {cmd:-} の左側の変数から　{cmd:-} の右側の変数までを返します. 

{pstd}
多くのコマンドで, キーワード {cmd:_all} はすべての変数を意味します. 
一部のコマンドでは, 何も指定されていない場合はデフォルトですべての変数が使用されます. 

{pstd}
因子変数は, 既存の変数の varlist の拡張です. 
因子変数が使用できるコマンドで因子変数を指定する場合は, 
因子変数演算子を因子変数名の頭に付けて因子変数であることを明示します. 

{pstd}
因子変数を指定すると, インディケータ変数が自動的に作成されます. 

{pstd}
以下の5 つの因子変数演算子があります. :

{p2colset 10 19 21 2}{...}
{p2col:演算子} 説明{p_end}
{p2line}
{p2col:{cmd:i.}} インディケータを指定するための単項演算子{p_end}
{p2col:{cmd:c.}} 連続値として扱うための単項演算子{p_end}
{p2col:{cmd:o.}} 変数またはインジケータを省略する単項演算子{p_end}
{p2col:{cmd:#}}  相互作用を指定するための二項演算子{p_end}
{p2col:{cmd:##}} 主効果と相互作用を指定するための二項演算子{p_end}
{p2line}
{p2colreset}{...}

{pstd}
{help fvvarlist} を合わせてご参照ください. 


{pstd}
時系列変数リストは, 既存の変数の変数リストの一種です. 
時系列変数を使用できるコマンドで時系列変数を扱う場合は, 
時系列演算子を使用します. 
たとえば,  {cmd:L.gnp} は変数 {cmd:gnp} の1 時点前の値を参照します. 
時系列演算子は次のとおりです. 

	演算子{col 19}意味
	{hline 57}
	{cmd:L.}{col 19}1 時点前の値 (x_t-1)
	{cmd:L2.}{col 19}2 時点前の値 (x_t-2)
	...
	{cmd:F.}{col 19}1 時点先の値 (x_t+1)
	{cmd:F2.}{col 19}2 時点先の値 (x_t+2)
	...
	{cmd:D.}{col 19}1 時点前の値との差分 (x_t - x_t-1)
	{cmd:D2.}{col 19}差分の差分 (x_t - 2x_t-1 + x_t-2)
	...
	{cmd:S.}{col 19}季節差分 (x_t - x_t-1)
	{cmd:S2.}{col 19}2 時点前の値との季節差分 (x_t - x_t-2)
	...
	{hline 57}

{pstd}
時系列演算子は繰り返して組み合わせることができ, 小文字と大文字の両方が認識されます. {break}
{help tsvarlist} を合わせてご参照ください. 


{marker examples}{...}
{bf:例題}

{phang}クリックするとコマンドが実行されます. {p_end}

{phang}{cmd:. }{stata webuse census4}{p_end}
{phang}{cmd:. }{stata describe}

{pstd}次の4 つの {cmd:regress} コマンドは同じ処理となります. {p_end}
{phang}{cmd:. }{stata regress brate medage medagesq reg2 reg3 reg4}{p_end}
{phang}{cmd:. }{stata regress brate medage medagesq reg2-reg4}{p_end}
{phang}{cmd:. }{stata regress brate med* reg2-reg4}{p_end}
{phang}{cmd:. }{stata regress brate medage c.medage#c.medage i.region}{p_end}

{phang}{cmd:. }{stata summarize _all}

{phang}{cmd:. }{stata sysuse citytemp}{p_end}
{phang}{cmd:. }{stata describe}

{phang}{cmd:. }{stata summarize *dd}{p_end}
{phang}{cmd:. }{stata summarize temp*}{p_end}
{phang}{cmd:. }{stata summarize temp???}{p_end}
{phang}{cmd:. }{stata summarize t*n}

{phang}{cmd:. }{stata webuse fvex}{p_end}
{phang}{cmd:. }{stata describe}

{phang}{cmd:. }{stata regress y distance i.group}{p_end}
{phang}{cmd:. }{stata regress y i.sex sex#c.distance}{p_end}

{pstd}次の2 つのコマンドは同じ処理となります. {p_end}
{phang}{cmd:. }{stata regress y distance i.sex i.group sex#group}{p_end}
{phang}{cmd:. }{stata regress y distance sex##group}{p_end}

INCLUDE help jp_author
